diff -urpN e2fsprogs-1.35.orig/lib/blkid/llseek.c e2fsprogs-1.35/lib/blkid/llseek.c
--- e2fsprogs-1.35.orig/lib/blkid/llseek.c	2003-12-07 19:11:38.000000000 +0200
+++ e2fsprogs-1.35/lib/blkid/llseek.c	2004-09-01 17:42:37.000000000 +0300
@@ -125,12 +125,16 @@ blkid_loff_t blkid_llseek(int fd, blkid_
 
 blkid_loff_t blkid_llseek(int fd, blkid_loff_t offset, int origin)
 {
+#if defined(HAVE_LSEEK64) && defined(HAVE_LSEEK64_PROTOTYPE)
+	return lseek64 (fd, offset, origin);
+#else
 	if ((sizeof(off_t) < sizeof(blkid_loff_t)) &&
 	    (offset >= ((blkid_loff_t) 1 << ((sizeof(off_t)*8) - 1)))) {
 		errno = EOVERFLOW;
 		return -1;
 	}
 	return lseek(fd, (off_t) offset, origin);
+#endif
 }
 
 #endif	/* linux */
diff -urpN e2fsprogs-1.35.orig/lib/ext2fs/llseek.c e2fsprogs-1.35/lib/ext2fs/llseek.c
--- e2fsprogs-1.35.orig/lib/ext2fs/llseek.c	2003-12-07 19:11:38.000000000 +0200
+++ e2fsprogs-1.35/lib/ext2fs/llseek.c	2004-09-01 17:42:21.000000000 +0300
@@ -121,12 +121,16 @@ ext2_loff_t ext2fs_llseek (int fd, ext2_
 
 ext2_loff_t ext2fs_llseek (int fd, ext2_loff_t offset, int origin)
 {
+#if defined(HAVE_LSEEK64) && defined(HAVE_LSEEK64_PROTOTYPE)
+	return lseek64 (fd, offset, origin);
+#else
 	if ((sizeof(off_t) < sizeof(ext2_loff_t)) &&
 	    (offset >= ((ext2_loff_t) 1 << ((sizeof(off_t)*8) -1)))) {
 		errno = EINVAL;
 		return -1;
 	}
 	return lseek (fd, (off_t) offset, origin);
+#endif
 }
 
 #endif 	/* linux */

